weka.core

## Class EnvironmentProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - weka.core.EnvironmentProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class EnvironmentProperties
      extends java.util.Properties

  Extends Properties to allow the value of a system property (if set) to override that which has been loaded/set. This allows the user to override from the command line any property that is loaded into a property file via weka.core.Utils.readProperties().
  Version:
    $Revision: 12232 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvironmentProperties()`
    `EnvironmentProperties(java.util.Properties props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProperty(java.lang.String key)`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentProperties

          public EnvironmentProperties()

    - #### EnvironmentProperties

          public EnvironmentProperties(java.util.Properties props)

  - ### Method Detail

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

      Overrides:
        `getProperty` in class `java.util.Properties`